
const partnersSwiper = new Swiper('#partners', {
    slidesPerView: 4,
    loop: true, 
    autoplay: {
        delay: 0, 
        disableOnInteraction: false,
    },
    speed: 2000,
});

const partnersSliderElement = document.querySelector('#partners');
partnersSliderElement.addEventListener('mouseenter', () => {
    partnersSwiper.autoplay.stop();
});
partnersSliderElement.addEventListener('mouseleave', () => {
    partnersSwiper.autoplay.start(); 
});


const servicesImagesSwiper = new Swiper('#services-images', { 
    navigation: {
        nextEl: '.swiper-button-next', 
        prevEl: '.swiper-button-prev', 
    },
    loop: true,
    
});

const servicesInfoSwiper = new Swiper('#services-info', {
    loop: true
});

servicesImagesSwiper.controller.control = servicesInfoSwiper; 
servicesInfoSwiper.controller.control = servicesImagesSwiper; 

